package main

import (
  "testing"
)

func TestAvgTutti30(t *testing.T) {
  v := avg([]int{30, 30, 30})
  if v != 30.0 {
    t.Error("Expected 30.0 got ", v)
  }
}

func TestAvgSecchione(t *testing.T) {
  v := avg([]int{30, 32, 30, 30, 32, 32})
  if v != 30.0 {
    t.Error("Expected 30.0 got ", v)
  }
}

func TestAvgNormale(t *testing.T) {
  v := avg([]int{30, 18, 20, 25})
  if v != 23.25 {
    t.Error("Expected 23.25 got ", v)
  }
}

func TestConvert110(t *testing.T) {
  v := convert110(30.0)
  if v != 110.0 {
    t.Error("Expected 110.0 got ", v)
  }
  v = convert110(18.0)
  if v != 66.0 {
    t.Error("Expected 66.0 got ", v)
  }
}
